# Method: projects.locations.instances.shares.list

- [HTTP request](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares/list#body.request_body)
- [Response body](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares/list#body.ListSharesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares/list#try-it)

Lists all shares for a specified instance.

### HTTP request

`GET https://file.googleapis.com/v1beta1/{parent=projects/*/locations/*/instances/*}/shares`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance for which to retrieve share information, in the format `projects/{projectId}/locations/{location}/instances/{instanceId}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The nextPageToken value to use if there are additional results to retrieve for this list request. |
| `orderBy` | `string` Sort results. Supported values are "name", "name desc" or "" (unsorted). |
| `filter` | `string` List filter. |

### Request body

The request body must be empty.

### Response body

ListSharesResponse is the result of ListSharesRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "shares": [ { object (`https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares#Share`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `shares[]` | ``object (`https://docs.cloud.google.com/filestore/docs/reference/rest/v1beta1/projects.locations.instances.shares#Share`)`` A list of shares in the project for the specified instance. |
| `nextPageToken` | `string` The token you can use to retrieve the next page of results. Not returned if there are no more results in the list. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).